# Create external client

> Create a new external OAuth client in an Automation Suite organization using the Identity API, including required scope and request body fields.

Create a new external client.

## API endpoint

`POST https://{yourDomain}/{organizationName}/identity_/api/ExternalClient`

## Scopes

Requires either one of the following scopes:

* `PM.OAuthApp`
* `PM.OAuthApp.Write`

## Request headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described in [Authentication methods](https://docs.uipath.com/automation-suite/automation-suite/2.2510/api-guide/authentication-methods#authentication-methods).
:::

## Request body

The request body includes the organization ID, the external client name, its confidentiality status, the redirect URI, the required scopes, and the client certificates.

```
{
  "partitionGlobalId": "orgId",
  "name": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}
```

## Responses

### 201 Created

The external client has been successfully created.

```
{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T13:53:12.823Z",
      "expiryTime": "2025-07-18T13:53:12.823Z"
    }
  ]
}
```
